public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Alexis Ballier" <aballier@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-libs/x264/
Date: Fri, 15 Feb 2019 12:36:03 +0000 (UTC)	[thread overview]
Message-ID: <1550234153.31758d0f0f39e32330321eb346e6c792b8903ea3.aballier@gentoo> (raw)

commit:     31758d0f0f39e32330321eb346e6c792b8903ea3
Author:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Fri Feb 15 11:45:41 2019 +0000
Commit:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Fri Feb 15 12:35:53 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=31758d0f

media-libs/x264: bump a new snapshot, api 157

Closes: https://bugs.gentoo.org/676596
Package-Manager: Portage-2.3.60, Repoman-2.3.12
Signed-off-by: Alexis Ballier <aballier <AT> gentoo.org>

 media-libs/x264/Manifest                 |  1 +
 media-libs/x264/x264-0.0.20190214.ebuild | 58 ++++++++++++++++++++++++++++++++
 2 files changed, 59 insertions(+)

diff --git a/media-libs/x264/Manifest b/media-libs/x264/Manifest
index 0a6d8558016..ab3b20f2392 100644
--- a/media-libs/x264/Manifest
+++ b/media-libs/x264/Manifest
@@ -1 +1,2 @@
 DIST x264-snapshot-20170701-2245.tar.bz2 750527 BLAKE2B ccf276da31383ab4b4a1ac48866bc49b4b2bc5913361c933fa2359de4d6e90cca091dd4aba781f3735a5b28d6ce006aa9d4e149ba48745b80cb971c2952ca867 SHA512 28fc9850c36ac385fced6dec9a0f68a5605a68805e1ef7b8cedcd78917eaa1ad6e47e57fe5a74fee0a6e482f3a33de6011f675e6c77b5db94c8fe01d5c5f3e9f
+DIST x264-snapshot-20190214-2245.tar.bz2 770462 BLAKE2B d90a3bafb88febe12526b225617616a62c32fa3d3eacf410267e1fbd7e0fafaadca7c146172c08fc525bce8791d81c7d87dc27b06d61a6a44bf2ad92f6c1def6 SHA512 c8b1b46d4e6c0ef653dab35083a454c635ebf72c6a5255ce30bbb5d9d6bb8e23fca0e6cc197ea99f3c702fbfec096587df6fa82dec338d8bd45e35fa89c43039

diff --git a/media-libs/x264/x264-0.0.20190214.ebuild b/media-libs/x264/x264-0.0.20190214.ebuild
new file mode 100644
index 00000000000..0128bcd158b
--- /dev/null
+++ b/media-libs/x264/x264-0.0.20190214.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit flag-o-matic multilib-minimal toolchain-funcs
+
+DESCRIPTION="A free library for encoding X264/AVC streams"
+HOMEPAGE="https://www.videolan.org/developers/x264.html"
+if [[ ${PV} == 9999 ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://git.videolan.org/git/x264.git"
+else
+	MY_P="x264-snapshot-$(ver_cut 3)-2245"
+	SRC_URI="https://download.videolan.org/pub/videolan/x264/snapshots/${MY_P}.tar.bz2"
+	KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+	S="${WORKDIR}/${MY_P}"
+fi
+
+SLOT="0/157" # SONAME
+
+LICENSE="GPL-2"
+IUSE="altivec +interlaced opencl pic static-libs cpu_flags_x86_sse +threads"
+
+ASM_DEP=">=dev-lang/nasm-2.13"
+DEPEND="abi_x86_32? ( ${ASM_DEP} )
+	abi_x86_64? ( ${ASM_DEP} )
+	opencl? ( dev-lang/perl )"
+RDEPEND="opencl? ( >=virtual/opencl-0-r3[${MULTILIB_USEDEP}] )"
+
+DOCS=( AUTHORS doc/{ratecontrol,regression_test,standards,threads,vui}.txt )
+
+multilib_src_configure() {
+	tc-export CC
+	local asm_conf=""
+
+	if [[ ${ABI} == x86* ]] && { use pic || use !cpu_flags_x86_sse ; } || [[ ${ABI} == "x32" ]] || [[ ${CHOST} == armv5* ]] || [[ ${ABI} == ppc* ]] && { use !altivec ; }; then
+		asm_conf=" --disable-asm"
+	fi
+
+	"${S}/configure" \
+		--prefix="${EPREFIX}"/usr \
+		--libdir="${EPREFIX}"/usr/$(get_libdir) \
+		--disable-cli \
+		--disable-avs \
+		--disable-lavf \
+		--disable-swscale \
+		--disable-ffms \
+		--disable-gpac \
+		--enable-pic \
+		--enable-shared \
+		--host="${CHOST}" \
+		$(usex interlaced "" "--disable-interlaced") \
+		$(usex opencl "" "--disable-opencl") \
+		$(usex static-libs "--enable-static" "") \
+		$(usex threads "" "--disable-thread") \
+		${asm_conf} || die
+}


             reply	other threads:[~2019-02-15 12:36 UTC|newest]

Thread overview: 82+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-02-15 12:36 Alexis Ballier [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-25 18:03 [gentoo-commits] repo/gentoo:master commit in: media-libs/x264/ Sam James
2023-12-26 21:39 Sam James
2023-12-22  7:21 Arthur Zamarin
2023-12-22  7:21 Arthur Zamarin
2023-12-21 16:01 Arthur Zamarin
2023-12-21 12:56 Sam James
2023-12-21 12:56 Sam James
2023-12-21 11:55 Sam James
2023-12-21 11:55 Sam James
2023-12-21  9:57 Sam James
2023-11-25  6:47 Sam James
2023-03-22  5:30 Sam James
2022-11-12 17:48 Matt Turner
2022-11-12 16:09 Arthur Zamarin
2022-11-12 16:07 Arthur Zamarin
2022-11-12 16:06 Arthur Zamarin
2022-11-12 16:06 Arthur Zamarin
2022-09-05  3:56 Sam James
2022-09-03  5:27 Sam James
2022-03-10 12:45 Alexis Ballier
2022-03-10 12:45 Alexis Ballier
2021-08-10  0:02 Marek Szuba
2021-01-07 19:04 Sam James
2021-01-07 18:57 Sam James
2021-01-07 10:14 Sam James
2021-01-06 14:27 Fabian Groffen
2021-01-04 19:40 Sergei Trofimovich
2021-01-04  3:31 Sam James
2021-01-04  2:03 Sam James
2021-01-04  1:32 Sam James
2020-09-15  9:02 Alexis Ballier
2020-09-05 18:54 Mike Gilbert
2020-07-21 23:15 Kent Fredric
2020-06-16  6:33 Sergei Trofimovich
2020-06-10  4:52 Georgy Yakovlev
2019-12-29 19:34 Mike Gilbert
2019-09-29  2:56 Mike Gilbert
2019-09-04 14:46 Alexis Ballier
2019-07-28 11:24 Andreas Sturmlechner
2019-07-28 11:04 Mikle Kolyada
2019-07-02 13:12 Agostino Sarubbo
2019-07-02 10:33 Agostino Sarubbo
2019-07-02 10:12 Agostino Sarubbo
2019-07-02  8:28 Sergei Trofimovich
2019-07-02  8:24 Sergei Trofimovich
2019-07-02  8:19 Sergei Trofimovich
2019-07-01 19:23 Thomas Deutschmann
2019-05-05 19:05 Mike Gilbert
2019-01-17  2:47 Andreas Sturmlechner
2018-05-20 19:13 Andreas Sturmlechner
2018-04-19 20:31 Mikle Kolyada
2018-04-13 10:44 Alexis Ballier
2018-04-12 14:43 Sergei Trofimovich
2018-04-03  6:26 Sergei Trofimovich
2018-03-05 14:52 Tobias Klausmann
2018-02-26 14:25 Jason Zaman
2018-02-25 21:57 Sergei Trofimovich
2018-02-25 20:16 Thomas Deutschmann
2018-02-25 19:41 Andreas Sturmlechner
2018-02-24  8:55 Sergei Trofimovich
2017-12-27 16:08 Luca Barbato
2017-12-27 16:08 Luca Barbato
2017-12-17 15:16 Andrey Utkin
2017-12-09 18:41 Craig Andrews
2017-12-09 18:41 Craig Andrews
2017-11-26 23:06 David Seifert
2017-08-31 12:37 Tim Harder
2017-07-02 10:04 Alexis Ballier
2017-07-02 10:04 Alexis Ballier
2017-07-02 10:04 Alexis Ballier
2017-04-23 14:23 Alexis Ballier
2017-03-15 15:07 Michael Weber
2017-03-10  5:51 Markus Meier
2017-03-08 21:34 Markus Meier
2017-01-14 12:50 Jeroen Roovers
2016-12-06 12:21 Agostino Sarubbo
2016-12-06 12:21 Agostino Sarubbo
2016-12-06  9:04 Tobias Klausmann
2016-07-13 13:24 Alexis Ballier
2016-05-24 14:12 Alexis Ballier
2015-08-21 13:51 Alexis Ballier

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1550234153.31758d0f0f39e32330321eb346e6c792b8903ea3.aballier@gentoo \
    --to=aballier@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox